Page MenuHomeFreeBSD

Update x11-toolkits/pango to 1.48.4
ClosedPublic

Authored by nc on Apr 16 2021, 3:06 PM.

Details

Summary

Update x11-toolkits/pango to 1.48.4

Test Plan

Passes poudriere, tested to work.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

nc requested review of this revision.Apr 16 2021, 3:06 PM
nc edited the test plan for this revision. (Show Details)
nc added subscribers: gnome, desktop.
tcberner added inline comments.
x11-toolkits/pango/Makefile
41

what happend to the docs?

nc marked an inline comment as done.Apr 16 2021, 5:24 PM
nc added inline comments.
x11-toolkits/pango/Makefile
41

The thing is, I had to remove the documentation building since building documentation now relies on gi-docgen:

Run-time dependency gi-docgen found: NO (tried pkgconfig and cmake)             Looking for a fallback subproject for the dependency gi-docgen                                                                                                  |Executing subproject gi-docgen method meson                                    |                                                                               |Project name: gi-docgen                                                        |Project version: 2021.1                                                        |Program python3 (jinja2, markdown, markupsafe, pygments, toml, typogrify) found: NO modules: pygments                                                                                                                                          subprojects/gi-docgen/meson.build:10:0: ERROR: python3 is missing modules: jinja2, markdown, markupsafe, toml, typogrify                                                                                                                        A full log can be found at /wrkdirs/usr/ports/x11-toolkits/pango/work/pango-1.48.4/_build/meson-logs/meson-log.txt                                              ===>  Script "configure" failed unexpectedly.
tcberner added inline comments.
x11-toolkits/pango/Makefile
41

I think you shoul dadd gi-docgen then :)

This revision now requires changes to proceed.Apr 16 2021, 5:41 PM

We have already made more progress in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=249879 so please that PR instead and clean up the leftovers?

nc marked an inline comment as done.Apr 17 2021, 5:03 AM
nc added inline comments.
x11-toolkits/pango/Makefile
41

I have a review for gi-docgen in D29802.

In D29794#668441, @daniel.engberg.lists_pyret.net wrote:

We have already made more progress in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=249879 so please that PR instead and clean up the leftovers?

You're right, that completely fell of my radar.

@nc could you rebase on using the existing work done in the pr?

@nc, your patch is deadly incomplete and misses docs at all. since 1.48.4 it hardly uses py-markdown components

@nc, your patch is deadly incomplete and misses docs at all. since 1.48.4 it hardly uses py-markdown components

About the docs, it depends on D29802.

Add DOCS to pango update. This needs D29802 and D29803.

This revision was not accepted when it landed; it landed in state Needs Review.May 24 2021, 7:15 PM
This revision was automatically updated to reflect the committed changes.